## org.mozilla.javascript.annotations
Annotation Type JSStaticFunction

    @Documented
    @Retention(value=RUNTIME)
    @Target(value=METHOD)
    public @interface JSStaticFunction

An annotation that marks a Java method as JavaScript static function. This can be used as an alternative to the `jsStaticFunction_` prefix desribed in `ScriptableObject.defineClass(org.mozilla.javascript.Scriptable, java.lang.Class)`.

Optional Element Summary
`java.lang.String` `value`

### value

    public abstract java.lang.String value

  Default:
    ""